include multibmp.e

atom ftype
integer h, l
sequence cmd_line, file, list, slist
object line

ftype = 2
cmd_line = command_line()
--cmd_line = {"ex", "make1", "s", "make1.mbm", "@list"}
if length(cmd_line) > 4 then
  ftype = (cmd_line[3][1] - 'B' - (cmd_line[3][1] > 'Z') * 32) / 17
  file = cmd_line[4]
  list = cmd_line[5..length(cmd_line)]
end if
if find(ftype, {0, 1}) = 0 then
  clear_screen()
  puts(2, "MAKE1 - Bitmap and sprite bundler\n")
  puts(2, "1997 Hollow Horse Software\n\n")
  puts(2, "usage: MAKE1 type output input1 input2 input3...\n")
  puts(2, "------------------------------------------------\n")
  puts(2, "type = B or S\n")
  puts(2, "  B is Bitmap format\n")
  puts(2, "  S is Sprite format\n\n")
  puts(2, "output -- output file name\n")
  puts(2, "input  -- input filename(s)\n")
  
  abort(0)
end if

slist = {}
for A = 1 to length(list) do
  if list[A][1] = '@' then
    list[A] = list[A][2..length(list[A])]
    h = open(list[A], "r")
    if h = -1 then
      puts(2, "Failed to open list: " & list[A] & 10)
    else
      line = gets(h)
      while sequence(line) do
	l = length(line)
	if line[l] = 10 then
	  line = line[1..l - 1]
	end if
	slist = append(slist, line)
	line = gets(h)
      end while
      close(h)
    end if
  else
    slist = append(slist, list[A])
  end if
end for
list = slist
slist = {}

if ftype then
  list = SPRT_make1(file, list)
else
  list = BMP_make1(file, list)
end if

