include multibmp.e

atom ftype
integer h, l
sequence cmd_line, list, slist
object line

ftype = 2
cmd_line = command_line()
--cmd_line = {"ex", "make1", "b", "all.mbm"}
if length(cmd_line) > 3 then
  ftype = (cmd_line[3][1] - 'B' - (cmd_line[3][1] > 'Z') * 32) / 17
  list = cmd_line[4..length(cmd_line)]
end if
if find(ftype, {0, 1}) = 0 then
  clear_screen()
  puts(2, "CONVERT - Bitmap and sprite bundler converter\n")
  puts(2, "1997 Hollow Horse Software\n\n")
  puts(2, "usage: CONVERT type input1 input2 input3...\n")
  puts(2, "------------------------------------------------\n")
  puts(2, "type = B or S\n")
  puts(2, "  B is Bitmap format\n")
  puts(2, "  S is Sprite format\n\n")
  puts(2, "input  -- input filename(s)\n")
  
  abort(0)
end if

slist = {}
for A = 1 to length(list) do
  if list[A][1] = '@' then
    list[A] = list[A][2..length(list[A])]
    h = open(list[A], "r")
    if h = -1 then
      puts(2, "Failed to open list: " & list[A] & 10)
    else
      line = gets(h)
      while sequence(line) do
	l = length(line)
	if line[l] = 10 then
	  line = line[1..l - 1]
	end if
	slist = append(slist, line)
	line = gets(h)
      end while
      close(h)
    end if
  else
    slist = append(slist, list[A])
  end if
end for
list = slist
slist = {}

if ftype then
  for A = 1 to length(list) do
    line = SPRT_load_all(list[A])
    for B = 1 to length(line) do
      line[B] = {0, line[B]}
    end for
    list[A] = SPRT_store1(sprintf("%d.spt", A), line, repeat("", length(line)))
  end for
else
  for A = 1 to length(list) do
    line = BMP_load_all(list[A])
    list[A] = BMP_store1_1_0(sprintf("%d.mbm", A), line, repeat("", length(line)))
  end for
end if

